#!/bin/sh

for x in /dev/md* ; do
	mdadm --stop $x
done

for disk in $(list-harddrives | grep -v fd0 | awk '{printf $1 " "}'); do
	{ echo ${disk} | grep -q "nvme"; } && wipefs -a -f /dev/${disk}p[0-9] || wipefs -a -f /dev/${disk}[0-9]
	wipefs -a -f /dev/${disk}
	mdadm --zero-superblock /dev/${disk}
	dd if=/dev/zero of=/dev/$disk bs=512 count=32
	blkdiscard --secure /dev/${disk}
	parted -s /dev/${disk} mklabel gpt;
	partprobe
done

for x in /dev/md* ; do
	mdadm --stop $x
done

SWSIZE=$(grep MemTotal /proc/meminfo  | awk '{print int($2/1024)+1}')
if [ ${SWSIZE} -gt 2048 ]; then
	SWSIZE=2048
fi

set $(list-harddrives | grep -v fd0 | grep -v md[0-9] | awk '{printf $1 " "}')
HD1=$1
#HD2=$2

echo "clearpart --all --initlabel --disklabel=gpt" >> /tmp/part-include

if [ -d /sys/firmware/efi ]; then
	efibootmgr -v | grep BootCurrent | cut -d' ' -f2 > /tmp/efi_booted
	echo "part /boot/efi --fstype efi --size=350 --asprimary --ondisk=${HD1}" >> /tmp/part-include
else
	echo "part biosboot --fstype=biosboot --size=2 --asprimary --ondisk=${HD1}" >> /tmp/part-include
fi

cat >> /tmp/part-include <<- EOF
part swap --size=${SWSIZE} --ondisk=${HD1}
part / --fstype xfs --mkfsoptions=-K --size=1 --grow --ondisk=${HD1}
EOF
